<?php
/**
 * Adodis Blog package
 * @author J-Extension <contact@jextn.com>
 * @link http://www.jextn.com
 * @copyright (C) 2012 - 2013 J-Extension
 * @license GNU/GPL, see LICENSE.php for full license.
**/


// no direct access
defined('_JEXEC') or die;

// Joomla redefiend function for tooltip
JHtml::_('behavior.tooltip');

//Include css files
$document	= JFactory::getDocument();
$path		= JURI::base()."components/com_adodisblog/assets/css/style.css";
$document->addStyleSheet($path);

//include Java Script
JHtml::_('script','administrator/components/com_adodisblog/assets/js/jsblock.js', false);
JHtml::_('script','administrator/components/com_adodisblog/assets/js/jscolor.js', false);

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_adodisblog')) {
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

// Include dependancies
jimport('joomla.application.component.controller');

$controller	= JController::getInstance('AdodisBlog');
$controller->execute(JRequest::getCmd('task'));
$controller->redirect();
